Package picard.util

## Class BedToIntervalList

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.util.BedToIntervalList

-     @DocumentedFeature
      public class BedToIntervalList
      extends CommandLineProgram

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `File` | `INPUT` |
    `File` | `OUTPUT` |
    `File` | `SEQUENCE_DICTIONARY` |
    `boolean` | `SORT` |
    `boolean` | `UNIQUE` |

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BedToIntervalList()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `doWork()` | Do the work after command line has been parsed.
    `static void` | `main​(String[] args)` |

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getFaqLink, getMetricsFile, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Argument(shortName="I",
                    doc="The input BED file")
          public File INPUT

    - #### SEQUENCE_DICTIONARY

          @Argument(shortName="SD",
                    doc="The sequence dictionary, or BAM/VCF/IntervalList from which a dictionary can be extracted.")
          public File SEQUENCE_DICTIONARY

    - #### OUTPUT

          @Argument(shortName="O",
                    doc="The output Picard Interval List")
          public File OUTPUT

    - #### SORT

          @Argument(doc="If true, sort the output interval list before writing it.")
          public boolean SORT

    - #### UNIQUE

          @Argument(doc="If true, unique the output interval list by merging overlapping regions, before writing it (implies sort=true).")
          public boolean UNIQUE

  - ### Constructor Detail

    - #### BedToIntervalList

          public BedToIntervalList()

  - ### Method Detail

    - #### main

          public static void main​(String[] args)

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.